
Showroom Mobile Banking - Support #13381

FD Withdrawal Web Service

18 March 2022 01:26 PM - David Wong

Status: Closed Start date: 18 March 2022

Priority: Normal Due date:  

Assignee: Hoo Dextor % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

Please share the FD withdrawal web service endpoint URL and also its request/response data.

History

#1 - 18 March 2022 02:04 PM - santhosh Krishna

WS : performFDFPXWithdrawal

URL : /cc_mib_ws/api/v1/ribms/performFDFPXWithdrawal

REQUEST: {

"accountNumber":"12312332",

"withdrawalAmount": 58.00,

"transferAccNumber" : "1233212",

}

--------------------------------------------------

RESPONSE   {

"status": "F7",

"trxReferenceId": "",

"obHeader": {

"statusCode": "0000000",

"maintenanceNoticeFlag": false,

"maintenanceUpfrontNoticeTime": 0,

"isBillPayment": false,

"isAutoCall": false

},

"obUser": {

"cifNumber": "290000063",

"identificationNumber": "940823-10-6364",

"identificationType": "IC",

"lastLoginDate": "18 Mar 2022 01:57 PM",

"loginId": "testdeposit2",

"mobileNumber": "0105043444",

"fullName": "DANIEL CHAN",

"isMach": false,

"tncFlag": false,

"lastLogoutDate": "18 Mar 2022 10:34 AM",

"rsaSecQueFlag": false,

"isFeeWaive": false,

"loginType": "",

"email": "testemail@gmail.com",

"appLanguage": "en",

"retrieveSMSLanguage": true,

"isBlockedForHighRisk": false,

"occupationCode": "",

"rsaDenyCount": 0,

"isRsaDeny": false,

"isUnderReview": false,

"caFpxFlag": "N"

},

"unreadMsgCount": 0,

"retrieveActivity": false

}
#2 - 18 March 2022 02:11 PM - santhosh Krishna

- Status changed from New to In Progress

#3 - 18 March 2022 03:06 PM - santhosh Krishna

- Status changed from In Progress to Feedback

- Assignee changed from santhosh Krishna to David Wong

#4 - 20 March 2022 03:18 PM - David Wong

- Status changed from Feedback to Resolved

- Assignee changed from David Wong to chok yee fan

#5 - 21 March 2022 09:54 AM - chok yee fan

- Status changed from Resolved to Assigned

- Assignee changed from chok yee fan to Wee Meng Soh

left menu add Withdrawal under the e-Fixed Deposit

1) screen show following input fields

"accountNumber":"12312332",

"withdrawalAmount": 58.00,

"transferAccNumber" : "1233212",

2) Then confirmation with tac, after confirm only call web service

3) Display success words with confirmation fields after call web service.

#6 - 21 March 2022 11:14 AM - Wee Meng Soh

- Status changed from Assigned to In Progress

#7 - 23 March 2022 10:24 AM - Wee Meng Soh

- File Screenshot 2022-03-23 at 10.03.35 AM.png added

- File Screenshot 2022-03-23 at 10.03.40 AM.png added

- Status changed from In Progress to Feedback

- Assignee changed from Wee Meng Soh to santhosh Krishna

Issue - Internal Server Error status 500

#8 - 23 March 2022 03:09 PM - santhosh Krishna

- Status changed from Feedback to Pending SIT 

- Assignee changed from santhosh Krishna to Wee Meng Soh

waiting for David to deploy the changes I did

#9 - 28 March 2022 10:36 AM - Wee Meng Soh

- File Screenshot 2022-03-28 at 10.36.23 AM.png added

- Status changed from Pending SIT  to Resolved
- Assignee changed from Wee Meng Soh to Hoo Dextor

weemeng.soh: Feature #13381 FD Withdrawal Web Service

#10 - 01 April 2022 11:04 AM - Wee Meng Soh

- Status changed from Resolved to Pending SIT 

Released Showroom MY SIT 1.0.0.10 in MY

#11 - 01 April 2022 11:20 AM - chok yee fan

- File photo6210966754256072796.jpg added

- Tracker changed from Feature to Support

- Status changed from Pending SIT  to Feedback

- Assignee changed from Hoo Dextor to santhosh Krishna

hi Santhosh, last time u mention the account number by right is dropdown. did u manage to find which WS to call to get the list of FD acc?

#12 - 05 April 2022 10:31 AM - santhosh Krishna

Able to find the account number from "obAccountSpecificBean" when perform "retrieveAccountSummary"

Example:-

"obAccCat": [     {

"obAccountSpecificBean": [         {

"accountNumber": "123123123"

}

]

}

]

give few minutes need to ask david to deploy a small change i did

#13 - 05 April 2022 10:32 AM - santhosh Krishna

- Status changed from Feedback to Resolved

- Assignee changed from santhosh Krishna to chok yee fan

#14 - 06 April 2022 10:33 AM - chok yee fan

- Status changed from Resolved to Feedback

- Assignee changed from chok yee fan to Wee Meng Soh

refer Santhosh feedback, the accountNumber able to retrieve, use that for dropdown listing

#15 - 07 April 2022 10:19 AM - chok yee fan

- Assignee changed from Wee Meng Soh to Megat AhmadSalehudin

#16 - 12 April 2022 12:15 AM - Megat AhmadSalehudin

- Status changed from Feedback to Resolved
- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

- % Done changed from 0 to 100

r216894 | ahmadsalehudin | 2022-04-12 00:14:30 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fd-fpx-withdrawal/perform-fd-fpx-with

drawal.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fd-fpx-withdrawal/perform-fd-fpx-with

drawal.html

Megat - Support #13381 - FD Withdrawal Web Service

#17 - 14 April 2022 06:57 PM - Leoh Dennis leohyq

r216942 | dennis.leohyq | 2022-04-14 18:55:21 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fd-fpx-withdrawal/perform-fd-fpx-with

drawal.ts

Leoh: Support #13381 FD Withdrawal Web Service

Message: WS called missing param, added in the param to call WS

----------------------------------------------------------------------------

#18 - 15 April 2022 05:35 PM - Wee Meng Soh

- Status changed from Resolved to Pending SIT 

Released Showroom MY SIT 1.0.0.12 in MY

#19 - 21 April 2022 12:03 PM - chok yee fan

- Status changed from Pending SIT  to Closed

tested ok

Files

Screenshot 2022-03-23 at 10.03.35 AM.png 274 KB 23 March 2022 Wee Meng Soh

Screenshot 2022-03-23 at 10.03.40 AM.png 636 KB 23 March 2022 Wee Meng Soh

Screenshot 2022-03-28 at 10.36.23 AM.png 677 KB 28 March 2022 Wee Meng Soh

photo6210966754256072796.jpg 78 KB 01 April 2022 chok yee fan

Powered by TCPDF (www.tcpdf.org)

04 April 2025 4/4

https://dev.silverlakemobility.com/redmine/issues/13381
https://dev.silverlakemobility.com/redmine/issues/13381
http://www.tcpdf.org

